Subject: RE: [hackers-il] Re: Linux Socket Filter

From: Chen Shapira <[email-masked]>
Date: Wed, 20 Dec 2000 14:10:55 +0200

> This discussion is taking a silly, and rather ugly direction 
> (ugly, because
> you're taking a huge mass of free software, make a small 
> patch to it, and then
> start acting like it's some sort of patented piece of 
> genius). 

For one thing, Omer was talking about a kernel module, which isn't exactly a
patch. There exist a closed kernel modules. VMWare is an example, I doubt if
VMWare is a small patch.

For other  thing, maybe it is a piece of genious?

> Nobody was
> asking you to divulge proprietary information. I don't see 
> how using existing
> features of Linux properly can be construed proprietary...

Again, see the VMWare case.
But yes, you weren't asking Omer for the information, and perhaps saying "I
know but won't tell you" was arrogant.

> Anyway, just a reminder: I also work for Radware. If that 
> means that you
> should hide stuff from me, then feel free. Personally, I 
> don't understand
> how it is exactly that Radware competes with Mercury, but 
> never mind...

Why also? I think you are the only one :-)
I have no idea why Radware is a competitor (actually I don't even have an
idea what they do) , but it's on the list of "You can't work there after you
leave here"

BTW, how are you guys celebrating the REAL millenium?

---

From: Moshe Zadka <[email-masked]>
Date: Wed, 20 Dec 2000 22:30:10 +0200 (IST)

> BTW, how are you guys celebrating the REAL millenium?

We already did. In 2000. *Real* people (i.e., astronomers) start counting
with 0. Idiots (like the Vatican) start counting in 1. Guess who I
look up to more?
-- 
This is a signature anti-virus. 
Please stop the spread of signature viruses!

---

From: "Nadav Har'El" <[email-masked]>
Date: Wed, 20 Dec 2000 15:19:54 +0200

> idea what they do) , but it's on the list of "You can't work there after you

To the best of my knowledge Radware and Mecury don't have a single competing
product. But if you say that it is on your "blacklist", it can only mean one
thing - Radware and Mercury are perhaps competing for the same good people
in the area of networking. But this means that the contract you signed (about
not defecting to Radware) has nothing to do with protecting Mercury's rights,
and everything to do with giving up your rights. My condolences.

It's too bad Israeli companies act like this towards each other. Homo
homini lupus, I guess...

-- 
Nadav Har'El                        |   Wednesday, Dec 20 2000, 23 Kislev 5761
[email-masked]             |-----------------------------------------
Phone: +972-53-245868, ICQ 13349191 |Take my advice, I don't use it anyway.
http://nadav.harel.org.il           |

---

From: Gilad Ben-Yossef <[email-masked]>
Date: Wed, 20 Dec 2000 23:10:39 +0200

> patch. There exist a closed kernel modules. VMWare is an example, I doubt if

1. It's not a patch. It's a module. I know, you said that already ;-)

2. Considering the functionality it's not that big in terms of number of 
lines of source.

3. It's not closed source, maybe even GPLed. It's included in every 
VMware Linux instalation. Have a look at  /usr/lib/vmware/modules/source 
(on my RH6.1) if you don't believe me.

Which brings on an interesting question: I know Linux said binary kernel modules don't have to abide by the GPL.

*BUT* since Linus isn't the only copyright holder on the Linux source, do you think that's enough for a company to
count on when releasing propritery software that part of it is a Linux 
kernel module? (I know Checkpoint does that).

Where is the line drawn anyway? what if I release a "box" like a router 
(a la Cisco) and I use Linux as the underline OS, with some closed 
kernel modules. Am I still ok? (assuming I public all GPLed work source)

My gut reaction is to say "yes". but after reading the GPL carefully I'm 
not so sure. Is what I'm doing with the GPLed work cosidered "mere 
aggregation" as the GPL  calls it, or is the whole box considered "a 
whole" with some GPLed parts, in which case the whole falls under the GPL.

  Yes, it's a half lawyer questions, but I don't think most lawyers will 
be able to understand the issues at hand . Think for example of the 
following examples: "is a kernel module considered linked to the kernel? 
is a regular program using OS system calls? what's the difference?". No 
lawyer will understand the differnce  (unless he's also a comp sci 
person or a hacker or both ;-)

What do you think?
-- 
Gilad Ben-Yossef <[email-masked]>
http://benyossef.com :: +972(54)756701
"Anything that can go wrong, will go wrong, while interrupts are disabled. "
	-- Murphey's law of kernel programing.

---

From: Adi Stav <[email-masked]>
Date: Thu, 21 Dec 2000 10:54:22 +0200

> person or a hacker or both ;-)

One hardly needs to be a lawyer to fail to understand the difference
:) It is one of the vaguest parts of the GPL and one of the major
reason for writing GPL v3 (now underway). IIRC, Linus did not say that
the GPL does not apply to kernel modules but that his definition of
"combine" excludes kernel modules that conform to the well known
module interface (i.e. you cannot legally distribute a closed source
TCP/IP stack bugfix as a module). 

He did not write an exception clause, but clarified the GPL vagueness
in regards to Linux, but since he did it explicitly we do not have the
same problems we used to have with KDE. People who submit patches to
Linus accept his interpretation implicitly. This and similar issues
are covered often in KT and the feeling I am getting is that people
are reluctant to cause a stir over a relatively minor issue.

Socially, this is very different from KDE, because no one but
Checkpoint (for example) distributes or deals with Checkpoint's
modules. So Checkpoint is the only only party in legal (or moral?)
jepordy. So there is no one to bring up the issue, except for the
copyright holders, who apparently are not interested.

One thing that I find interesting is what would Linus do if a
copyright holder chooses to sue Checkpoint? Would he remove the
person's code from the kernel (not invalidating the lawsuit, because
it would still exist in older kernels) or would he let the suit go on
without a statement? I think I'm glad we will probably never find out.

---

From: Oleg Goldshmidt <[email-masked]>
Date: 24 Dec 2000 10:14:42 +0200

> with 0. Idiots (like the Vatican) start counting in 1. Guess who I

Eh... I am a bit late to this thread. I am still compelled to mention
that the concept of zero is usually credited to Arab
mathematicians. If you accept that, then Jesus Christ is older than
zero by (an order of) a milennium.

Incidentally, I am not aware of astronomers counting from 0. With
astronomers, it all depends on whether their code is in Fortran or C.
IIRC, years are counted from 1 inh both directions (BC and AD).

For the record, I have a degree in astronomy and astrophysics ;-).
Maybe it's really worthless :-(

-- 
Oleg Goldshmidt | Comgates Ltd. | [email-masked] 
"... We work by wit, and not by witchcraft;
 And wit depends on dilatory time."